QGIS Application - Bug report #15965
1-n relation: children form is always displayed in form view state when opening the dialog
2016-12-09 09:19 AM - Harrissou Santanna

Status: Feedback

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23881
Description

Create a 1-n relation between 2 files

Then with the identify tool, click on a parent feature.

In the feature form that opens, the children are always listed in the form view mode, regardless the view mode set in Settings --> Options
--> Data source --> Default view.

This occurs at every opening of the feature form, even if you last closed it in a table view mode.

Either the global setting is applied to embedded forms or they have their own special setting or they always keep the last state. I'd vote for
the first or third option.

master 2.99 e077efd

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi
- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:28 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please check if this issue is still valid on QGIS 3.4.5 or 3.6.
